package EditorPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# イベント編集ページ設定モジュール
# EditorPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'editor';    # データキー
    $preference::name
        = 'イベント編集ページレイアウト';   # 設定パネル名
    $preference::title
        = 'イベント編集ページの表示について設定します。';
}

######################################################################
#sub import {
BEGIN {
    if ( !$default::subdivided
        || ( $default::subdivided && defined $main::c && $main::c ne '' ) )
    {

        #クラス登録
        Common::class_register( 'c020', 'EditorPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'c020'}
            = 'イベント編集ページ';
        $setting::selected_jump_menu{'c020'} = 'c010'
            ; #サブメニューがあるときメインメニューのデフォルトキー

        $preference::page{'c020'} = 'editor';

    }
}

1;
