package SetSharedPreferenceRemover;
require CMONOS::CGI_Lib::Tools::SharedPreferenceRemover;
@ISA = qw(SharedPreferenceRemover);
use strict;
use utf8;
######################################################################
# 共有中の設定を削除モジュール
# SetSharedPreferenceRemover.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
sub remove_relational_files ($$) {
    my ( $this, $target ) = @_;
    foreach my $id (@$target) {
        unlink( ( $env::user_default_dir || $env::default_dir )
            . '/calendar/default/css/event-category.'
                . $id
                . '.css' );
    }
    return 1;
}

######################################################################
# クラス登録
#sub import {
BEGIN {
    if ($env::default_dir) {

        #クラス登録
        Common::class_register( 'xxbt', 'SetSharedPreferenceRemover' );

        #メニュー登録
        $setting::sub_jump_menu{'share'}{'xxbt'}
            = '共有中の設定を削除';
        $setting::selected_jump_menu{'xxbt'} = 'xxbs';
    }
}

1;
