package GeneralSetting;
require CMONOS::CGI_Lib::Tools::General;
@ISA = qw(General);
use strict;
use utf8;
######################################################################
# 一般設定モジュール
# GeneralSetting.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# サブ設定パネル
sub print_sub_preference_panel ($$) {
    my ( $this, $master ) = @_;
    print
        '<fieldset><legend><label for="data:default">デフォルト表示</label></legend>';
    print '<select name="data:default" id="data:default">';
    print '<option value="pen">書き込みツールモード</option>';
    print '<option value="tool"'
        . (
        (   defined $main::data{'default'}
                && $main::data{'default'} eq 'tool'
        ) ? ' selected="selected"' : ''
        ) . '>設定ツールモード</option>';
    print '</select>';
    print '</fieldset>';
    print
        '<fieldset><legend><label for="data:updateCheckInterval">アップデートの確認</label></legend>';
    print $this->mk_select_menu(
        'data:updateCheckInterval', '', '',
        $main::data{'updateCheckInterval'},
        ''        => '確認しない',
        '86400'   => '毎日確認する',
        '604800'  => '毎週確認する',
        '2419200' => '4週間ごとに確認する',
    );
    print '</fieldset>';
}

sub ogtype_disabled ($) {
    my $this = shift;
    return 1;
}

######################################################################
# クラス登録
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( '0000', 'GeneralSetting' );

    #ツール登録
    $setting::jump_menu{'0000'} = '一般設定';
}

1;
