package CGIRegister;
require CMONOS::SetupAssistant::Tools::SetupEnv;
@ISA = qw(SetupEnv);
use strict;
use utf8;
use Fcntl qw(:DEFAULT :flock);
######################################################################
# CGI登録モジュール
# CGIRegister.pm ver1.0.1
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2012-12-12
######################################################################
sub site_scan ($) {
    my $this = shift;
    require CMONOS::CGI_Lib::NavUpdate;
    NavUpdate->new->scan;

    my $t          = time;
    my $javascript = <<JAVA;
cmonos.tool.refreshNavi = function() {
	if (parent.tool_navi) {
		parent.tool_navi.location.href = parent.tool_navi.location.href + '?mode=tool&amp;stamp=$t';
	}
}
JAVA
    $this->set_onload('cmonos.tool.refreshNavi()');
    $this->set_javascript($javascript);
}

1;
