package CheckOutIconEditor;
require CMONOS::CGI_Lib::Tools::ImageEditor;
@ISA = qw(ImageEditor);
use strict;
use utf8;
######################################################################
# CheckOutアイコンライブラリ編集モジュール
# CheckOutIconEditor.pm ver1.0.1
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2008-12-02
######################################################################
# 画像情報
sub get_image_info ($) {
    my $this = shift;
    undef %setting::deco_type;
    undef %setting::deco_dir;

    #イメージCSS
    $setting::image_css = 'order-image.css';

    %setting::deco_type = (
        'trash'    => 'button',
        'sum'      => 'button',
        'checkout' => 'button',
        'empty'    => 'button',

        #	'register'		=> 'button',
        #	'password'		=> 'button',
        #	'remove'		=> 'button',
        'confirmation' => 'button',
        'estimate'     => 'button',
        'order'        => 'button'
    );
    %setting::deco_dir = (
        'trash'    => '001:ゴミ箱 ボタン',
        'sum'      => '002:再計算 ボタン',
        'checkout' => '101:レジに進む ボタン',
        'empty'    => '102:空にする ボタン',

        #	'register'		=> '201:登録情報変更 ボタン',
        #	'password'		=> '202:パスワード変更 ボタン',
        #	'remove'		=> '203:登録抹消 ボタン',
        'confirmation' => '301:注文を確認 ボタン',
        'estimate'     => '302:見積もりを印刷する ボタン',
        'order'        => '401:注文を確定する ボタン'
    );

    $main::dir = 'empty' if !defined $main::dir || $main::dir eq '';
    return (
        $env::image_dir . '/order',
        $env::image_lib . '/order',
        '', '', $env::css . '/' . $setting::image_css
    );
}

######################################################################
# クラス登録
#sub import {
BEGIN {

    #クラス登録
    Common::class_register( '010c', 'CheckOutIconEditor' );

    #メニュー登録
    $setting::jump_menu{'010c'}
        = 'アイコンライブラリ編集(CheckOut)';
    $setting::master_check_option{'010c'} = 1;
}

1;
