package GMapMarkerList;
use utf8;
######################################################################
# Googleマップ マイマップ マーカーリストモジュール
# GMapMarkerList.pm 1.0.1
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
sub new ($;@) {
my $pkg = shift;
my $this = {};
bless $this;
}

######################################################################
# Googleマップ マイマップ マーカーリスト
sub list ($) {
my $this = shift;
return (
	'//maps.google.com/mapfiles/ms/micons/blue-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/red-dot.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/green-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/ltblue-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/yellow-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/purple-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/pink-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/orange-dot.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/blue.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/red.png'				=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/green.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/lightblue.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/yellow.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/purple.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/pink.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/orange.png'			=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/blue-pushpin.png'	=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/red-pushpin.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/grn-pushpin.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/ltblu-pushpin.png'	=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/ylw-pushpin.png'		=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/purple-pushpin.png'	=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/pink-pushpin.png'	=>	'//maps.google.com/mapfiles/ms/micons/msmarker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/restaurant.png'		=>	'//maps.google.com/mapfiles/ms/micons/restaurant.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/coffeehouse.png'		=>	'//maps.google.com/mapfiles/ms/micons/coffeehouse.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/bar.png'				=>	'//maps.google.com/mapfiles/ms/micons/bar.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/snack_bar.png'		=>	'//maps.google.com/mapfiles/ms/micons/snack_bar.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/man.png'				=>	'//maps.google.com/mapfiles/ms/micons/man.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/woman.png'			=>	'//maps.google.com/mapfiles/ms/micons/woman.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/wheel_chair_accessible.png'	=>	'//maps.google.com/mapfiles/ms/micons/wheel_chair_accessible.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/parkinglot.png'		=>	'//maps.google.com/mapfiles/ms/micons/parkinglot.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/cabs.png'			=>	'//maps.google.com/mapfiles/ms/micons/cabs.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/bus.png'				=>	'//maps.google.com/mapfiles/ms/micons/bus.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/truck.png'			=>	'//maps.google.com/mapfiles/ms/micons/truck.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/rail.png'			=>	'//maps.google.com/mapfiles/ms/micons/rail.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/plane.png'			=>	'//maps.google.com/mapfiles/ms/micons/plane.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/ferry.png'			=>	'//maps.google.com/mapfiles/ms/micons/ferry.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/helicopter.png'		=>	'//maps.google.com/mapfiles/ms/micons/helicopter.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/subway.png'			=>	'//maps.google.com/mapfiles/ms/micons/subway.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/tram.png'			=>	'//maps.google.com/mapfiles/ms/micons/tram.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/info.png'			=>	'//maps.google.com/mapfiles/ms/micons/info.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/info_circle.png'		=>	'//maps.google.com/mapfiles/ms/micons/info_circle.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/flag.png'			=>	'//maps.google.com/mapfiles/ms/micons/flag.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/rainy.png'			=>	'//maps.google.com/mapfiles/ms/micons/rainy.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/water.png'			=>	'//maps.google.com/mapfiles/ms/micons/water.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/snowflake_simple.png'	=>	'//maps.google.com/mapfiles/ms/micons/snowflake_simple.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/marina.png'			=>	'//maps.google.com/mapfiles/ms/micons/marina.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/fishing.png'			=>	'//maps.google.com/mapfiles/ms/micons/fishing.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/sailing.png'			=>	'//maps.google.com/mapfiles/ms/micons/sailing.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/swimming.png'		=>	'//maps.google.com/mapfiles/ms/micons/swimming.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/ski.png'				=>	'//maps.google.com/mapfiles/ms/micons/ski.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/tree.png'			=>	'//maps.google.com/mapfiles/ms/micons/tree.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/campfire.png'		=>	'//maps.google.com/mapfiles/ms/micons/campfire.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/picnic.png'			=>	'//maps.google.com/mapfiles/ms/micons/picnic.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/campground.png'		=>	'//maps.google.com/mapfiles/ms/micons/campground.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/rangerstation.png'	=>	'//maps.google.com/mapfiles/ms/micons/rangerstation.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/toilets.png'			=>	'//maps.google.com/mapfiles/ms/micons/toilets.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/POI.png'				=>	'//maps.google.com/mapfiles/ms/micons/POI.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/hiker.png'			=>	'//maps.google.com/mapfiles/ms/micons/hiker.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/cycling.png'			=>	'//maps.google.com/mapfiles/ms/micons/cycling.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/motorcycling.png'	=>	'//maps.google.com/mapfiles/ms/micons/motorcycling.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/horsebackriding.png'	=>	'//maps.google.com/mapfiles/ms/micons/horsebackriding.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/sportvenue.png'		=>	'//maps.google.com/mapfiles/ms/micons/sportvenue.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/golfer.png'			=>	'//maps.google.com/mapfiles/ms/micons/golfer.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/trail.png'			=>	'//maps.google.com/mapfiles/ms/micons/trail.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/shopping.png'		=>	'//maps.google.com/mapfiles/ms/micons/shopping.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/movies.png'			=>	'//maps.google.com/mapfiles/ms/micons/movies.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/grocerystore.png'	=>	'//maps.google.com/mapfiles/ms/micons/grocerystore.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/convienancestore.png'	=>	'//maps.google.com/mapfiles/ms/micons/convienancestore.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/arts.png'			=>	'//maps.google.com/mapfiles/ms/micons/arts.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/homegardenbusiness.png'	=>	'//maps.google.com/mapfiles/ms/micons/homegardenbusiness.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/electronics.png'		=>	'//maps.google.com/mapfiles/ms/micons/electronics.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/mechanic.png'		=>	'//maps.google.com/mapfiles/ms/micons/mechanic.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/gas.png'				=>	'//maps.google.com/mapfiles/ms/micons/gas.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/realestate.png'		=>	'//maps.google.com/mapfiles/ms/micons/realestate.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/salon.png'			=>	'//maps.google.com/mapfiles/ms/micons/salon.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/dollar.png'			=>	'//maps.google.com/mapfiles/ms/micons/dollar.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/euro.png'			=>	'//maps.google.com/mapfiles/ms/micons/euro.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/yen.png'				=>	'//maps.google.com/mapfiles/ms/micons/yen.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/firedept.png'		=>	'//maps.google.com/mapfiles/ms/micons/firedept.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/hospitals.png'		=>	'//maps.google.com/mapfiles/ms/micons/hospitals.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/lodging.png'			=>	'//maps.google.com/mapfiles/ms/micons/lodging.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/phone.png'			=>	'//maps.google.com/mapfiles/ms/micons/phone.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/caution.png'			=>	'//maps.google.com/mapfiles/ms/micons/caution.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/earthquake.png'		=>	'//maps.google.com/mapfiles/ms/micons/earthquake.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/fallingrocks.png'	=>	'//maps.google.com/mapfiles/ms/micons/fallingrocks.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/postoffice-us.png'	=>	'//maps.google.com/mapfiles/ms/micons/postoffice-us.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/police.png'			=>	'//maps.google.com/mapfiles/ms/micons/police.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/sunny.png'			=>	'//maps.google.com/mapfiles/ms/micons/sunny.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/partly_cloudy.png'	=>	'//maps.google.com/mapfiles/ms/micons/partly_cloudy.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/volcano.png'			=>	'//maps.google.com/mapfiles/ms/micons/volcano.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/camera.png'			=>	'//maps.google.com/mapfiles/ms/micons/camera.shadow.png',
	'//maps.google.com/mapfiles/ms/micons/webcam.png'			=>	'//maps.google.com/mapfiles/ms/micons/webcam.shadow.png',
);
}

######################################################################
sub markers ($) {
my $this = shift;
my @list = $this->list;
my @markers = ();
for (my $i = 0; $i < @list; $i += 2) {
	push(@markers,$list[$i]);
}
return @markers;
}

sub shadows ($) {
my $this = shift;
my @list = $this->list;
my @shadows = ();
for (my $i = 1; $i < @list; $i += 2) {
	push(@shadows,$list[$i]);
}
return @shadows;
}

sub get_shadow_by_marker ($$) {
my($this,$marker) = @_;
my @list = $this->list;
for (my $i = 0; $i < @list; $i += 2) {
	return $list[($i+1)] if $list[$i] eq $marker;
}
return '';
}

######################################################################
sub marker_selector ($$;$) {
my($this,$name,$selected_marker) = @_;
my $selector = '<fieldset class="marker-selector"><legend>マーカー画像</legend>';
foreach my $marker ($this->markers) {
	$selector .= '<label><img src="' . $marker . '" alt="' . $marker . '" /><input type="radio" name="' . $name . '" value="' . $marker . '"' . (($selected_marker && $marker eq $selected_marker) ? ' checked="checked"' : '') . ' /></label>';
}
$selector .= '<div>※これらマーカー画像の著作権は、<a href="//www.google.com/" target="_blank">Google, Inc</a> が保有しています。</div></fieldset>';
return $selector;
}

sub marker_selector_css ($) {
my $this = shift;
return <<CSS;
fieldset.marker-selector label {
  display: block;
  padding: 5px;
  text-align: center;
  float: left;
}
fieldset.marker-selector label img {
  display: block;
}
fieldset.marker-selector div {
  clear: left;
  text-align: right;
  font-size: 0.9em;
}
CSS
}

1;
