package HistoryPage;
require CMONOS::HomePageMaker::Tools::HomePage;
@ISA = qw(HomePage);
use strict;
use utf8;
######################################################################
# 履歴ページ設定モジュール
# HistoryPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id   = 'history';                        # データキー
    $preference::name = '履歴ページレイアウト'; # 設定パネル名
    $preference::title
        = '履歴ページのレイアウトについて設定します。';
    $preference::ssi         = 1;                         #SSIを利用可能
    $preference::static_page = 1;                         #HTMLファイル
}

######################################################################
#sub import {
BEGIN {
    if ($default::date
        && ( !$default::subdivided
            || ( $default::subdivided && defined $main::c && $main::c ne '' )
        )
        )
    {

        #クラス登録
        Common::class_register( 'H002', 'HistoryPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'H002'} = '履歴ページ';
        $setting::selected_jump_menu{'H002'} = 'H010'
            ; #サブメニューがあるときメインメニューのデフォルトキー
        $preference::page{'H002'} = 'history';
    }
}

1;
