package GoogleMaps;
require CMONOS::CGI_Lib::Field::GoogleMapsBase;
@ISA = qw(GoogleMapsBase);
use strict;
use utf8;
######################################################################
# フィールド定義モジュール（Googleマップ）
# GoogleMaps.pm 1.1
# Copyright (C) 2007-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2010-04-20
######################################################################
sub _form ($$) {
    my ( $this, $name ) = @_;
    my $form = '';
    if ($main::i) {
        $form .= '<fieldset><legend>section マーカー</legend>';
        $form
            .= '<label><input type="checkbox" name="'
            . $name
            . 'wp" value="1"'
            . ( ( $main::data{ $this->{'id'} }{'wp'} )
            ? ' checked="checked"'
            : '' )
            . ' /> section マーカーを表示する</label></li>';
        $form .= '</fieldset>';
    }
    return $form;
}

sub _is_valid_data ($;$) {
    my ( $this, $path ) = @_;
    $main::data{ $this->{'id'} }{'wp'} = ''
        if $main::i && !$main::data{ $this->{'id'} }{'wp'};
    return 1;
}

sub waypoints_kml_path ($) {
    my $this = shift;
    my $dir
        = ( ( -d $default::file . '/draft.pending' )
        ? $default::file . '/draft.pending/files'
        : $default::file )
        . '/i';
    my $path = $dir . '/waypoints.kml';
    $this->write_file( $path, '<?xml version="1.0"?><kml></kml>', 1 )
        if $this->set_dir($dir) && !-f $path;
    return $this->full_path($path);
}

######################################################################
#sub import {
BEGIN {
    Field::class_register( 'webapi_gmap', 'GoogleMaps', 'Googleマップ' );
}

1;
