package NaviPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# ナビゲーションフレーム設定モジュール
# NaviPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'navi' if !defined $preference::id;    # データキー
    $preference::name = 'ナビゲーションフレームレイアウト'
        if !defined $preference::name;    # 設定パネル名
    $preference::title
        = 'ナビゲーションフレームのレイアウトについて設定します。'
        if !defined $preference::title;
}

######################################################################
#sub import {
BEGIN {
    if ( !defined $env::inline_navi || !$env::inline_navi ) {

        #クラス登録
        Common::class_register( 'n001', 'NaviPage' );

        #ツール登録
        $setting::sub_jump_menu{'page'}{'n001'}
            = 'ナビゲーションフレーム'
            if !defined $setting::sub_jump_menu{'page'}{'n001'};
        $setting::selected_jump_menu{'n001'} = 'n000'
            if !defined $setting::selected_jump_menu{'n001'}
            ; #サブメニューがあるときメインメニューのデフォルトキー
    }
}

1;
