package ConfirmationPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# 入力確認ページ設定モジュール
# ConfirmationPage.pm ver1.0
# Copyright (C) 1999-2018 CMONOS Co. Ltd.
#
# support@cmonos.jp
# http://cmonos.jp/
#
######################################################################
# 設定環境
sub set_sub_preferences ($) {
    my $this = shift;
    $preference::id = 'confirm';    # データキー
    $preference::name
        = '入力確認ページレイアウト';    # 設定パネル名
    $preference::title
        = '入力確認ページのレイアウトについて設定します。';
}

######################################################################
#sub import {
BEGIN {
    #クラス登録
    Common::class_register( 'q001', 'ConfirmationPage' );

    #ツール登録
    $setting::sub_jump_menu{'page'}{'q001'} = '入力確認ページ';
    $setting::selected_jump_menu{'q001'} = 'q000'
        ; #サブメニューがあるときメインメニューのデフォルトキー

    $preference::page{'q001'} = 'confirm';
}

1;
